#!/bin/bash
# Adds a line by sending a file to a hastebin server  
# and then print a "/a/file/name https://haste.bin/urlurlurl" line
# Requires an environmental variable to work
# example HASTEBIN_SERVER=https://paste.interhacker.space
PLUGIN_CONTENT+=( hookContentHastebin )
hookContentHastebin(){
  [[ -z "$1" ]] && echo "Store a file by name in pastebin" && return
  [[ -z "$HASTEBIN_SERVER" ]] && echo "Missing HASTEBIN_SERVER variable. Exiting." && return  
  TMP="$1"
  read -e -p "File location? " FILE
  [[ ! -f $FILE ]] && panic "Not a valid file" && return 
  URL=$( curl -X POST -s -d "$(cat "$FILE" )" "$HASTEBIN_SERVER/documents" |  awk -F '"' '{print "'$HASTEBIN_SERVER'/raw/"$4}'; )
  echo "$FILE: $URL" >> $TMP
}

